# Base64Encoder class

Base64 and base64url encoding converter.

Encodes lists of bytes using base64 or base64url encoding.

The results are ASCII strings using a restricted alphabet.

Inheritance
  - Object
  - StreamTransformerBase<List<int>, String>
  - Converter<List<int>, String>
  - Base64Encoder

## Constructors

Base64Encoder()
  const
Base64Encoder.urlSafe()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

convert(List<int> input) → String
  Converts `input` and returns the result of the conversion.
  override
startChunkedConversion(Sink<String> sink) → ByteConversionSink
  Starts a chunked conversion. [...]
  override
bind(Stream<List<int>> stream) → Stream<String>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
fuse<TT>(Converter<String, TT> other) → Converter<List<int>, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited